Package de.willuhn.jameica.hbci.rmi

# Interface SepaBooking

All Superinterfaces:
  `Remote`, `Transfer`

All Known Subinterfaces:
  `AuslandsUeberweisung`, `SepaDauerauftrag`, `SepaLastschrift`, `SepaSammelLastBuchung`, `SepaSammelTransferBuchung<T>`, `SepaSammelUeberweisungBuchung`

All Known Implementing Classes:
  `AbstractSepaSammelTransferBuchungImpl`, `AuslandsUeberweisungImpl`, `SepaDauerauftragImpl`, `SepaLastschriftImpl`, `SepaSammelLastBuchungImpl`, `SepaSammelUeberweisungBuchungImpl`

public interface SepaBooking extends Transfer
Basis-Interface fuer eine SEPA-Buchung.

## Method Summary

Modifier and Type
Method
Description
`String`
`getEndtoEndId()`
Liefert die optionale End2End-ID fuer SEPA.
`String`
`getPurposeCode()`
Liefert den optionalen Purpose-Code.
`void`
`setEndtoEndId(String id)`
Speichert die optionale End2End-ID fuer SEPA.
`void`
`setPurposeCode(String code)`
Speichert den optionalen Purpose-Code.

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Transfer

`getBetrag, getGegenkontoBLZ, getGegenkontoName, getGegenkontoNummer, getWeitereVerwendungszwecke, getZweck, getZweck2`

## Method Details

### getEndtoEndId

String getEndtoEndId() throws RemoteException
Liefert die optionale End2End-ID fuer SEPA.

Returns:
  die optionale End2End-ID fuer SEPA.
Throws:
  `RemoteException`

### setEndtoEndId

void setEndtoEndId(String id) throws RemoteException
Speichert die optionale End2End-ID fuer SEPA.

Parameters:
  `id` - die optionale End2End-ID fuer SEPA.
Throws:
  `RemoteException`

### getPurposeCode

String getPurposeCode() throws RemoteException
Liefert den optionalen Purpose-Code.

Returns:
  der optionale Purpose-Code.
Throws:
  `RemoteException`

### setPurposeCode

void setPurposeCode(String code) throws RemoteException
Speichert den optionalen Purpose-Code.

Parameters:
  `code` - der optionale Purpose-Code.
Throws:
  `RemoteException`